Taslak Çokgen
|
Menü konumu |
---|
Taslak → Çokgen |
Tezgahlar |
Taslak, Mimari |
Varsayılan kısayol |
P G |
Versiyonda tanıtıldı |
0.7 |
Ayrıca bkz |
Çember |
Description
Açıklama
Çokgen aracı, merkez ve yarıçapı olmak üzere iki nokta toplayarak bir çevreye yerleştirilmiş düzenli bir çokgen oluşturur. Draft Tray 'de ayarlanan Çizgi stili alır.
Çokgen, yarıçapı belirtilen bir dairede oluşturulmuştur; çizme modu özelliğini değiştirerek oluşturulduktan sonra sınırlandırılabilir.
Merkez nokta ve yarıçap tarafından tanımlanan normal çokgen
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
Nasıl kullanılır
-
Çokgen düğmesine veya P ve G tuşlarına basın.
- Seçenekler diyalog penceresinde istediğiniz kenar sayısını ayarlayın.
- 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve
Nokta ekle düğmesine basın.
- 3D görünümünde başka bir noktaya tıklayın veya poligon yarıçapını tanımlamak için bir yarıçap değeri yazın.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.
Seçenekler
- Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda
Nokta ekle düğmesine basabilirsiniz.
- Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, Çokgen aracı işlemi tamamladıktan sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
- Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolgu modu açıksa, çokgen dolgulu bir yüz oluşturur (Veri Make Face
true
); değilse, çokgen bir yüz oluşturmayacak (Veri Make Facefalse
). - Yakalama noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
- İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak Kısıtlama çizerken Shift tuşunu basılı tutun.
- Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.
Notes
Çokgen, ağaç görünümündeki öğeye çift tıklayarak veya Düzenle düğmesine basılarak düzenlenebilir. Ardından merkez ve yarıçap noktalarını yeni bir konuma getirebilirsiniz.
Preferences
See also: Preferences Editor and Draft Preferences.
- To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
- To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
- If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part RegularPolygon instead of a Draft Polygon.
Özellikler
See also: Property editor.
A Draft Polygon object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
Veri
- VERİRadius: Çokgeni tanımlayan dairenin yarıçapını belirtir.
- VERİDraw Mode: Çokgenin bir daire içine mi yazıldığını yoksa bir daire içine mi yazıldığını belirtir.
- VERİFaces Number: Çokgenin kenar sayısını belirtir.
- VERİChamfer Size: Çokgenin köşelerinde oluşturulan olukların (düz bölümler) boyutunu belirtir.
- VERİFillet Radius: Çokgenin köşelerinde oluşturulan filetoların (yay parçaları) yarıçapını belirtir.
- VERİMake Face: şeklin bir yüz yapıp yapmamasını belirtir. Eğer
true
ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir.
View
Draft
Görünüm
- GÖRÜNÜMPattern: Çokgenin yüzünü doldurmak için bir Taslak Deseni belirtir. Bu özellik yalnızca VERİMake Face
true
ise ve GÖRÜNÜMDisplay Mode "Düz Çizgiler" ise çalışır. - GÖRÜNÜMPattern Size: Desen 'nin boyutunu belirtir.
Scripting
Betik
Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.
polygon = make_polygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
- Belirtilen yüz sayısıyla (
nfaces
) birPolygon
nesnesi oluşturur ve milimetre cinsinden birradius
dairesine dayanır. - Eğer
inscribed
True
ise, çokgen daireye yazılır, aksi takdirde sınırlandırılır.- Başka bir yerleştirme yapılmazsa, çokgenin köşelerinden biri X ekseninde uzanır.
- Bir
placement
verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur. face
True
ise, şekil bir yüz yapacaktır, yani dolu görünecektir.
Örnek:
import FreeCAD as App
import Draft
doc = App.newDocument()
polygon1 = Draft.make_polygon(4, radius=500)
polygon2 = Draft.make_polygon(5, radius=750)
zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))
Polygon3 = Draft.make_polygon(6, radius=1450, placement=place3)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub